rules:
  - id: form-select-custom-implementation-haml
    pattern-either:
      - pattern-regex: \.select\s
      - pattern-regex: = select_tag\s
      - pattern-regex: \%select
    message: |
      Detected usage of custom select implementation inside HAML file.
    languages:
      - generic
    severity: WARNING
    paths:
      include:
        - '*.haml'
    metadata:
      componentLabel: 'component:form'
      pajamasCompliant: false

  - id: form-select-class-haml
    patterns:
      - pattern: gl-form-select
    message: |
      Detected usage of `gl-form-select` class inside HAML file.
    languages:
      - generic
    severity: WARNING
    paths:
      include:
        - '*.haml'
    metadata:
      componentLabel: 'component:form'
      pajamasCompliant: false
